Package ch.admin.suis.validator.rest.to

# Class ServiceInput

java.lang.Object
ch.admin.suis.validator.rest.to.ServiceInput

public class ServiceInput extends Object
The top level data structure for calling the validation client service. The `ServiceInput` contains one or more nested data structures of type `ValidatableFile` each representing a file to validate.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceInput()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLanguage()`
  Gets the `language` property.
  `String`
  `getPdfOutputFileName()`
  Gets the `pdfOutputFileName` property.
  `String`
  `getUserName()`
  Gets the `userName` property.
  `String`
  `getUserOrganisation()`
  Deprecated.
  use `getUserOrganization()`
  `String`
  `getUserOrganization()`
  Gets the `userOrganization` property.
  `List<ValidatableFile>`
  `getValidatableFiles()`
  Gets the `validatableFiles` property.
  `String`
  `getZipOutputFileName()`
  Gets the `zipOutputFileName` property.
  `boolean`
  `isPdfReport()`
  Gets the `pdfReport` property.
  `boolean`
  `isProcessUnsignedFiles()`
  Gets the `processUnsignedFiles` property.
  `void`
  `setLanguage(String language)`
  Sets the `language` property.
  `void`
  `setPdfOutputFileName(String pdfOutputFileName)`
  Sets the `pdfOutputFileName` property.
  `void`
  `setPdfReport(boolean pdfReport)`
  Sets the `pdfReport` property.
  `void`
  `setProcessUnsignedFiles(boolean processUnsignedFiles)`
  Sets the `processUnsignedFiles` property.
  `void`
  `setUserName(String userName)`
  Sets the `userName` property.
  `void`
  `setUserOrganisation(String userOrganisation)`
  Deprecated.
  use `setUserOrganization(String)`
  `void`
  `setUserOrganization(String userOrganization)`
  Sets the `userOrganization` property.
  `void`
  `setValidatableFiles(List<ValidatableFile> validatableFiles)`
  Sets the `validatableFiles` property.
  `void`
  `setZipOutputFileName(String zipOutputFileName)`
  Sets the `zipOutputFileName` property.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceInput

    public ServiceInput()

- ## Method Details

  - ### getLanguage

    public String getLanguage()
    Gets the `language` property.
    Returns:
      the value of the `language` property

  - ### getPdfOutputFileName

    public String getPdfOutputFileName()
    Gets the `pdfOutputFileName` property. The output file name is not used by the validation service but will be returned in the validation results, so it can be used when writing a validation report to a file.
    Returns:
      the value of the `pdfOutputFileName` property

  - ### getUserName

    public String getUserName()
    Gets the `userName` property.
    Returns:
      the value of the `userName` property

  - ### getUserOrganisation

    @Deprecated public String getUserOrganisation()
    Deprecated.
    use `getUserOrganization()`
    Gets the `userOrganization` property from its legacy name.
    Returns:
      the `userOrganization` property.

  - ### getUserOrganization

    public String getUserOrganization()
    Gets the `userOrganization` property.
    Returns:
      the value of the `userOrganization` property

  - ### getValidatableFiles

    public List<ValidatableFile> getValidatableFiles()
    Gets the `validatableFiles` property. The `validatableFiles` property contains a list of data structures of type `ValidatableFile` each representing a file to validate.
    Returns:
      the value of the `validatableFiles` property

  - ### isPdfReport

    public boolean isPdfReport()
    Gets the `pdfReport` property. The `pdfReport` property is a flag specifying whether the validation service should generate and return a report in PDF format in addition to the regular validation result.
    Returns:
      the value of the `pdfReport` property

  - ### isProcessUnsignedFiles

    public boolean isProcessUnsignedFiles()
    Gets the `processUnsignedFiles` property.
    Returns:
      the value of the `processUnsignedFiles` property

  - ### setLanguage

    public void setLanguage(String language)
    Sets the `language` property.
    Parameters:
      `language` - the value to set for the `language` property.

  - ### setPdfOutputFileName

    public void setPdfOutputFileName(String pdfOutputFileName)
    Sets the `pdfOutputFileName` property. The output file name is not used by the validation service but will be returned in the validation results, so it can be used when writing a validation report to a file.
    Parameters:
      `pdfOutputFileName` - the value to set for the `pdfOutputFileName` property.

  - ### setPdfReport

    public void setPdfReport(boolean pdfReport)
    Sets the `pdfReport` property. The `pdfReport` property is a flag specifying whether the validation service should generate and return a report in PDF format in addition to the regular validation result.
    Parameters:
      `pdfReport` - the value to set for the `pdfReport` property.

  - ### setProcessUnsignedFiles

    public void setProcessUnsignedFiles(boolean processUnsignedFiles)
    Sets the `processUnsignedFiles` property.
    Parameters:
      `processUnsignedFiles` - the value to set for the `processUnsignedFiles` property.

  - ### setUserName

    public void setUserName(String userName)
    Sets the `userName` property.
    Parameters:
      `userName` - the value to set for the `userName` property.

  - ### setUserOrganisation

    @Deprecated public void setUserOrganisation(String userOrganisation)
    Deprecated.
    use `setUserOrganization(String)`
    Sets the `userOrganization` property with its legacy name.
    Parameters:
      `userOrganisation` - the value to set for the `userOrganization` property.

  - ### setUserOrganization

    public void setUserOrganization(String userOrganization)
    Sets the `userOrganization` property.
    Parameters:
      `userOrganization` - the value to set for the `userOrganization` property.

  - ### setValidatableFiles

    public void setValidatableFiles(List<ValidatableFile> validatableFiles)
    Sets the `validatableFiles` property. The `validatableFiles` property contains a list of data structures of type `ValidatableFile` each representing a file to validate.
    Parameters:
      `validatableFiles` - the value to set for the `validatableFiles` property

  - ### setZipOutputFileName

    public void setZipOutputFileName(String zipOutputFileName)
    Sets the `zipOutputFileName` property. The ZIP output file name is not used by the validation service but will be returned in the validation results, so it can be used when writing validation reports to a ZIP file.
    Parameters:
      `zipOutputFileName` - the value to set for the `zipOutputFileName` property.

  - ### getZipOutputFileName

    public String getZipOutputFileName()
    Gets the `zipOutputFileName` property. The ZIP output file name is not used by the validation service but will be returned in the validation results, so it can be used when writing validation reports to a ZIP file.
    Returns:
      the value of the `zipOutputFileName` property

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`